kabc Library: KABC::Lock Class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::Lock Class Reference

This class provides locking functionality for a file, directory or an arbitrary string-represented resource. More...

`#include <lock.h>`

Inheritance diagram for KABC::Lock:

[legend]
Collaboration diagram for KABC::Lock:

[legend]
List of all members.

## Signals
void | locked ()
void | unlocked ()
## Public Member Functions
| Lock (const QString &identifier)
| ~Lock ()
virtual bool | lock ()
virtual bool | unlock ()
virtual QString | error () const
QString | lockFileName () const
## Static Public Member Functions
static bool | readLockFile (const QString &filename, int &pid, QString &app)
static bool | writeLockFile (const QString &filename)
static QString | locksDir ()

## Detailed Description

This class provides locking functionality for a file, directory or an arbitrary string-represented resource.

Definition at line 35 of file lock.h.

## Constructor & Destructor Documentation

Lock::Lock | ( | const QString & | identifier | ) |

  | Constructor. Parameters:
  | identifier | An identifier for the resource to be locked, e.g. a file name.
Definition at line 38 of file lock.cpp. References QString::replace().

Lock::~Lock | ( |  | ) |

| Destruct lock object. This also removes the lock on the resource. Definition at line 44 of file lock.cpp. References unlock().

## Member Function Documentation

bool Lock::lock | ( |  | ) | `[virtual]`

| Lock resource. Reimplemented in KABC::LockNull. Definition at line 80 of file lock.cpp. References QString::arg(), QFile::encodeName(), endl(), kdDebug(), kdWarning(), locateLocal(), QFile::remove(), and QString::replace().

bool Lock::unlock | ( |  | ) | `[virtual]`

| Unlock resource. Reimplemented in KABC::LockNull. Definition at line 135 of file lock.cpp. References QString::arg(), endl(), kdDebug(), and QFile::remove(). Referenced by ~Lock().

The documentation for this class was generated from the following files:

- lock.h
- lock.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:52 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003